---
# roles/vm_guest/tasks/main.yml

## Package management

- name: "Manage qemu vm_guest Packages"
  ansible.builtin.package:
    name: "{{ vm_guest_qemu_package_names }}"
    state: "{{ vm_guest_qemu_package_state }}"
  become: true
  when:
    - "ansible_virtualization_type == 'guest'"
    - "ansible_virtualization_guest == 'qemu'"
  tags:
    - "vm_guest"
    - "qemu"
    - "package"

- name: "Manage vmware vm_guest Packages"
  ansible.builtin.package:
    name: "{{ vm_guest_vmware_package_names }}"
    state: "{{ vm_guest_vmware_package_state }}"
  become: true
  when:
    - "ansible_virtualization_type == 'guest'"
    - "ansible_virtualization_guest == 'vmware'"
  tags:
    - "vm_guest"
    - "vmware"
    - "package"

## Service management

- name: "Manage qemu vm_guest Service"
  ansible.builtin.service:
    name: "{{ vm_guest_qemu_service_name }}"
    state: "{{ vm_guest_qemu_service_state }}"
    enabled: "{{ vm_guest_qemu_service_enabled }}"
  become: true
  when:
    - "vm_guest_qemu_package_state != 'absent'"
    - "ansible_virtualization_role == 'guest'"
    - "ansible_virtualization_type == 'qemu'"
  tags:
    - "vm_guest"
    - "qemu"
    - "service"

- name: "Manage vmware vm_guest Service"
  ansible.builtin.service:
    name: "{{ vm_guest_vmware_service_name }}"
    state: "{{ vm_guest_vmware_service_state }}"
    enabled: "{{ vm_guest_vmware_service_enabled }}"
  become: true
  when:
    - "vm_guest_vmware_package_state != 'absent'"
    - "ansible_virtualization_role == 'guest'"
    - "ansible_virtualization_type == 'vmware'"
  tags:
    - "vm_guest"
    - "vmware"
    - "service"
...
